<?php if ($mod==""){
	header('location:../../404.php');
}else{
?>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->

<head>
	<!-- Your Basic Site Informations -->
	<title><?php include "title.php"; ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
    <meta name="robots" content="index, follow">
    <meta name="description" content="<?php include "meta-desc.php"; ?>">
    <meta name="keywords" content="<?php include "meta-key.php"; ?>">
    <meta http-equiv="Copyright" content="popojicms">
    <meta name="author" content="Dwira Survivor">
    <meta http-equiv="imagetoolbar" content="no">
    <meta name="language" content="Indonesia">
    <meta name="revisit-after" content="7">
    <meta name="webcrawlers" content="all">
    <meta name="rating" content="general">
    <meta name="spiders" content="all">
    <!-- Mobile Specific Meta -->
	<meta name="viewport" content="width=device-width">

    <!-- Stylesheets -->
	<link rel="stylesheet" id="bootstrap-css" href="po-content/<?=$folder;?>/css/bootstrap.css" type="text/css" media="all">
	<link rel="stylesheet" id="magz-style-css" href="po-content/<?=$folder;?>/css/style.css" type="text/css" media="all">
	<link rel="stylesheet" id="swipemenu-css" href="po-content/<?=$folder;?>/css/swipemenu.css" type="text/css" media="all">
	<link rel="stylesheet" id="flexslider-css" href="po-content/<?=$folder;?>/css/flexslider.css" type="text/css" media="all">
	<link rel="stylesheet" id="bootstrap-responsive-css" href="po-content/<?=$folder;?>/css/bootstrap-responsive.css" type="text/css" media="all">
	<link rel="stylesheet" id="simplyscroll-css" href="po-content/<?=$folder;?>/css/jquery.simplyscroll.css" type="text/css" media="all">
	<link rel="stylesheet" id="jPages-css" href="po-content/<?=$folder;?>/css/jPages.css" type="text/css" media="all">
	<link rel="stylesheet" id="rating-css" href="po-content/<?=$folder;?>/css/jquery.rating.css" type="text/css" media="all">
	<link rel="stylesheet" id="ie-styles-css" href="po-content/<?=$folder;?>/css/ie.css" type="text/css" media="all">
	<link rel="stylesheet" id="pretty-photo-css" href="po-content/<?=$folder;?>/css/prettyPhoto.css" type="text/css" media="screen">
	<link rel="stylesheet" id="Roboto-css" href="http://fonts.googleapis.com/css?family=Roboto" type="text/css" media="all">

    <!-- Favicons -->
	<link rel="shortcut icon" href="<?=$favicon;?>">

	<script>
	var RecaptchaOptions = {
		theme : 'clean'
	};
	</script>

</head>

<body>
	<div id="page">
		<header id="header" class="container">
			<div id="mast-head">
				<div id="logo">
				<a href="<?php echo $website_url; ?>" title="<?=$website_name;?>" rel="home"><img src="po-content/<?=$folder;?>/images/logo.png" alt="Magazine" /></a>
				</div>
			</div>
			<nav class="navbar navbar-inverse clearfix nobot">
				<a id="responsive-menu-button" href="#swipe-menu">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>		
				</a>
				<!-- Responsive Navbar Part 2: Place all navbar contents you want collapsed withing .navbar-collapse.collapse. -->
				<div class="nav-collapse" id="swipe-menu-responsive">
					<div id="close-menu"><a href="#" class="close-this-menu"></a></div>
					<?php 
						$instance = new PoController;
						$menu = $instance->popoji_menu(1, 'class="nav"');
					?>
					<?php echo $menu; ?>
				</div><!--/.nav-collapse -->
			</nav><!-- /.navbar -->
		</header><!-- #masthead -->

		<div id="intr" class="container">
			<div class="row-fluid">
				<div class="brnews span9">
					<h3>Deskripsi Website</h3>
					<ul id="scroller">
						<li><p><a><?=$meta_description;?></a></p></li>
					</ul>
				</div>
			
			<div class="search span3"><div class="offset1">
				<form method="post" id="searchform" action="search-result.html">
					<p><input type="text" value="Pencarian..." onfocus="if ( this.value == 'Pencarian...' ) { this.value = ''; }" onblur="if ( this.value == '' ) { this.value = 'Pencarian...'; }" name="search" id="s" />
					<input type="submit" id="searchsubmit" value="Search" /></p>
				</form>
			</div></div>
			</div>
		</div>
<?php } ?>