<?php
session_start();
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
	header('location:../../404.php');
}else{
include_once '../../../po-library/po-database.php';
include_once '../../../po-library/po-function.php';

$val = new Povalidasi;
$mod = $_POST['mod'];
$act = $_POST['act'];

// Delete Post
if ($mod=='post' AND $act=='delete'){
	$id = $val->validasi($_POST['id'],'sql');
	$tabledel = new PoTable('post');
	$tabledel->deleteBy('id_post', $id);
	header('location:../../admin.php?mod='.$mod);
}

// Multi Delete Post
elseif ($mod=='post' AND $act=='multidelete'){
	$totaldata = $val->validasi($_POST['totaldata'],'xss');
	if ($totaldata != "0"){
		$itemdel = $_POST['item'];
		$tabledel = new PoTable('post');
		foreach ($itemdel as $item){
			$id = $val->validasi($item['deldata'],'xss');
			$tabledel->deleteBy('id_post', $id);
		}
		header('location:../../admin.php?mod='.$mod);
	}else{
		header('location:../../404.php');
	}
}

// Input Post
elseif ($mod=='post' AND $act=='input'){
$id_category = $val->validasi($_POST['id_category'],'sql');
$title = $val->validasi($_POST['title'],'xss');
$seotitle = seo_title($title);
$data = $_POST['content'];
$data = stripslashes($data);
$eutf = htmlspecialchars($data,ENT_QUOTES);
if (!empty($_POST['tag'])){
	$tag_seo = $_POST['tag'];
	$tag = implode(',',$tag_seo);
}
if(!empty($_POST['picture'])){
	$picture = $_POST['picture'];
	$table = new PoTable('post');
	$table->save(array(
		'id_category' => $id_category,
		'title' => $title,
		'content' => $eutf,
		'seotitle' => $seotitle,
		'tag' => $tag,
		'date' => $tgl_sekarang,
		'editor' => $_SESSION['iduser'],
		'picture' => $picture
	));
	$jml = count($tag_seo);
	for($i=0; $i<$jml; $i++){
		$dbhostsql = DATABASE_HOST;
		$dbusersql = DATABASE_USER;
		$dbpasswordsql = DATABASE_PASS;
		$dbnamesql = DATABASE_NAME;
		$connection = mysql_connect($dbhostsql, $dbusersql, $dbpasswordsql) or die(mysql_error());
		mysql_select_db($dbnamesql, $connection) or die(mysql_error());
		mysql_query("UPDATE tag SET count=count+1 WHERE tag_seo='$tag_seo[$i]'");
	}
	header('location:../../admin.php?mod='.$mod);
}else{
	$table = new PoTable('post');
	$table->save(array(
		'id_category' => $id_category,
		'title' => $title,
		'content' => $eutf,
		'seotitle' => $seotitle,
		'tag' => $tag,
		'date' => $tgl_sekarang,
		'editor' => $_SESSION['iduser']
	));
	$jml = count($tag_seo);
	for($i=0; $i<$jml; $i++){
		$dbhostsql = DATABASE_HOST;
		$dbusersql = DATABASE_USER;
		$dbpasswordsql = DATABASE_PASS;
		$dbnamesql = DATABASE_NAME;
		$connection = mysql_connect($dbhostsql, $dbusersql, $dbpasswordsql) or die(mysql_error());
		mysql_select_db($dbnamesql, $connection) or die(mysql_error());
		mysql_query("UPDATE tag SET count=count+1 WHERE tag_seo='$tag_seo[$i]'");
	}
	header('location:../../admin.php?mod='.$mod);
}
}

// Edit Post
elseif ($mod=='post' AND $act=='update'){
$id = $val->validasi($_POST['id'],'sql');
$id_category = $val->validasi($_POST['id_category'],'sql');
$title = $val->validasi($_POST['title'],'xss');
$seotitle = seo_title($title);
$data = $_POST['content'];
$data = stripslashes($data);
$eutf = htmlspecialchars($data,ENT_QUOTES);
$active = $val->validasi($_POST['active'],'xss');
if (!empty($_POST['tag'])){
	$tag_seo = $_POST['tag'];
	$tag = implode(',',$tag_seo);
}
if(!empty($_POST['picture'])){
	$picture = $_POST['picture'];
	$data = array(
		'id_category' => $id_category,
		'title' => $title,
		'content' => $eutf,
		'seotitle' => $seotitle,
		'tag' => $tag,
		'picture' => $picture,
		'active' => $active
	);
	$table = new PoTable('post');
	$table->updateBy('id_post', $id, $data);
	$jml = count($tag_seo);
	for($i=0; $i<$jml; $i++){
		$dbhostsql = DATABASE_HOST;
		$dbusersql = DATABASE_USER;
		$dbpasswordsql = DATABASE_PASS;
		$dbnamesql = DATABASE_NAME;
		$connection = mysql_connect($dbhostsql, $dbusersql, $dbpasswordsql) or die(mysql_error());
		mysql_select_db($dbnamesql, $connection) or die(mysql_error());
		mysql_query("UPDATE tag SET count=count+1 WHERE tag_seo='$tag_seo[$i]'");
	}
	header('location:../../admin.php?mod='.$mod);
}else{
	$data = array(
		'id_category' => $id_category,
		'title' => $title,
		'content' => $eutf,
		'seotitle' => $seotitle,
		'tag' => $tag,
		'active' => $active
	);
	$table = new PoTable('post');
	$table->updateBy('id_post', $id, $data);
	$jml = count($tag_seo);
	for($i=0; $i<$jml; $i++){
		$dbhostsql = DATABASE_HOST;
		$dbusersql = DATABASE_USER;
		$dbpasswordsql = DATABASE_PASS;
		$dbnamesql = DATABASE_NAME;
		$connection = mysql_connect($dbhostsql, $dbusersql, $dbpasswordsql) or die(mysql_error());
		mysql_select_db($dbnamesql, $connection) or die(mysql_error());
		mysql_query("UPDATE tag SET count=count+1 WHERE tag_seo='$tag_seo[$i]'");
	}
	header('location:../../admin.php?mod='.$mod);
}
}

// Subscribe Post
elseif ($mod=='post' AND $act=='subscribe'){
$idsub = $_POST['id'];
$table = new PoTable('post');
$currentPosts = $table->findBy(id_post, $idsub);
$currentPosts = $currentPosts->current();
$titlesub = $currentPosts->title;
$seotitlesub = $currentPosts->seotitle;
	$tableset = new PoTable('setting');
	$currentSet = $tableset->findBy(id_setting, '1');
	$currentSet = $currentSet->current();
	$website_name = $currentSet->website_name;
	$website_url = $currentSet->website_url;
	$website_email = $currentSet->website_email;
		$tablesubs = new PoTable('subscribe');
		$subs = $tablesubs->findAll(id_subscribe, ASC);
		foreach($subs as $sub){
		$emailto = $sub->email;
			$to = "$emailto";
			$from = "$website_name <$website_email>";
			$subject = "News Update - $titlesub";
			$message = "<html>
				<body>
					Hi $sub->email<br />
					We have the latest updates for you!<br />
					Please click on the link below to begin reading :<br />
					<a href='$website_url/detailpost-$idsub-$seotitlesub.html'>$titlesub</a><br /><br />
					Thank you for subscribing,<br />
					$website_name
				</body>
			</html>"; 
			$headers  = "MIME-Version: 1.0" . "\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1" . "\r\n";
			$headers .= "From: " . $from . "\r\n";
	
			mail($to, $subject, $message, $headers);
		}
	header('location:../../admin.php?mod='.$mod);
}
}
?>